streamWrapper::stream_open
streamWrapper::stream_seek
streamWrapper
PHP Manual

# streamWrapper::stream_read

Read from stream

### Description

public string streamWrapper::stream_read ( int `$count` )

This method is called in response to fread and fgets.

> Note:

> Remember to update the read/write position of the stream (by the number of bytes that were successfully read).

### Parameters

`count`

  How many bytes of data from the current position should be returned.

### Return Values

If there are less than `count` bytes available, return as many as are available. If no more data is available, return either `FALSE` or an empty string.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

> Note:

> If the return value is longer then `count` an `E_WARNING` error will be emitted, and excess data will be lost.

### Notes

> Note:

> streamWrapper::stream_eof is called directly after calling streamWrapper::stream_read to check if EOF has been reached. If not implemented, EOF is assumed.

Warning

When reading the whole file (for example, with file_get_contents), PHP will call streamWrapper::stream_read followed by streamWrapper::stream_eof in a loop but as long as streamWrapper::stream_read returns a non-empty string, the return value of streamWrapper::stream_eof is ignored.

### See Also

- fread
- fgets